# classes/phing/tasks/ext/phar/PharPackageTask.php

## \PharPackageTask
jump to top

Package task for {@link http://ru.php.net/manual/en/book.phar.php Phar technology}.

This is very closely based on the ANT class of the same name.

Extends from
  \MatchingTask
author
  Alexey Shockov
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext
since
  2.4.0
version
  $Revision: 532 $

### Properties

`string $alias= ''`

Details

Type
  string

`\PhingFile $baseDirectory= ''`

Base directory, from where local package paths will be calculated.

Details

Type
  \PhingFile

`\PhingFile $cliStubFile= ''`

Details

Type
  \PhingFile

`int $compression= 'Phar'`

Default value `Phar` Details

Type
  int

`\PhingFile $destinationFile= ''`

Details

Type
  \PhingFile

`array $filesets= 'array'`

Default value `array` Details

Type
  array

`\PharMetadata $metadata= 'null'`

Default value `null` Details

Type
  \PharMetadata

`int $signatureAlgorithm= 'Phar'`

Default value `Phar` Details

Type
  int

`string $stubPath= ''`

Details

Type
  string

`\PhingFile $webStubFile= ''`

Details

Type
  \PhingFile

### Methods

`buildPhar( ) : \Phar`
Build and configure Phar object.
Returns

Type | Description
--- | ---
\Phar |

`checkPreconditions( ) :`
Details

throws

`createFileSet( ) : \FileSet`
Returns

Type | Description
--- | ---
\FileSet |

`createMetadata( ) : \PharMetadata`
Returns

Type | Description
--- | ---
\PharMetadata |

`main( ) :`
Details

throws

`setAlias( $alias ) :`
Parameters

Name | Type | Description
--- | --- | ---
$alias |  |

`setBaseDir( \PhingFile $baseDirectory ) :`
Parameters

Name | Type | Description
--- | --- | ---
$baseDirectory | \PhingFile |

`setCliStub( \PhingFile $stubFile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$stubFile | \PhingFile |

`setCompression( string $compression ) :`
Parameters

Name | Type | Description
--- | --- | ---
$compression | string |

`setDestFile( \PhingFile $destinationFile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$destinationFile | \PhingFile |

`setSignature( string $algorithm ) :`
Parameters

Name | Type | Description
--- | --- | ---
$algorithm | string |

`setStub( string $stubPath ) :`
Parameters

Name | Type | Description
--- | --- | ---
$stubPath | string |

`setWebStub( \PhingFile $stubFile ) :`
Parameters

Name | Type | Description
--- | --- | ---
$stubFile | \PhingFile |

Documentation was generated by DocBlox 0.13.1.